/* $Copyright:	$
 * Copyright (c) 1984, 1985, 1986, 1987, 1988, 1989, 1990 
 * Sequent Computer Systems, Inc.   All rights reserved.
 *  
 * This software is furnished under a license and may be used
 * only in accordance with the terms of that license and with the
 * inclusion of the above copyright notice.   This software may not
 * be provided or otherwise made available to, or used by, any
 * other person.  No title to or ownership of the software is
 * hereby transferred.
 */

/*	Copyright (c) 1984 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"$Header: signal.h 1.6 90/06/24 $@(#)head:signal.h	1.5"

/*----------------------------------------------------------------------*
 * This file must meet the requirements in volume 2 of the X/Open	*
 * Portability Guide, Issue 3, which should be consulted before any	*
 * changes are made.							*
 *----------------------------------------------------------------------*/

#ifndef	_SIGNAL_H_
/*	3.0 SID #	1.3	*/
#include<sys/signal.h>

extern	void(*signal())();
extern  void(*sigset())();

#ifndef NO_XPG3_HDR
extern int kill();
extern int sigaction();
extern int sigaddset();
extern int sigdelset();
extern int sigemptyset();
extern int sigfillset();
extern int sigismember();
extern int sigpending();
extern int sigprocmask();
extern int sigsuspend();
#endif	/* NO_XPG3_HDR */

#define	_SIGNAL_H_
#endif	/* _SIGNAL_H_ */
